aboutsummaryrefslogtreecommitdiff
path: root/package/coreutils/coreutils.mk
diff options
context:
space:
mode:
authorGravatar Alexey Brodkin <Alexey.Brodkin@synopsys.com>2018-08-30 18:38:18 +0300
committerGravatar Thomas Petazzoni <thomas.petazzoni@bootlin.com>2018-08-31 23:51:51 +0200
commit34e703224cab3cc2b58743718ccf312e5426b8a4 (patch)
treeb980d88e3b77f02f35bfd90efb5d24e403d847d5 /package/coreutils/coreutils.mk
parent5573e06e4e1e7715c443aa0661b17d109f5c671d (diff)
downloadbuildroot-34e703224cab3cc2b58743718ccf312e5426b8a4.tar.gz
buildroot-34e703224cab3cc2b58743718ccf312e5426b8a4.tar.bz2
coreutils: bump version to 8.30
Among other things this is required to build aginst Glibc 2.28+, see: https://github.com/coreutils/gnulib/commit/4af4a4a71827c0bc5e0ec67af23edef4f15cee8e Otherwise it fails on build like that: ----------------------->8------------------------ CC lib/fts.o lib/freadptr.c: In function 'freadptr': lib/freadptr.c:119:3: error: #error "Please port gnulib freadptr.c to your platform! Look at the definition of fflush, fread, getc, getc_unlocked on your system, then report this to bug-gnulib." #error "Please port gnulib freadptr.c to your platform! Look at the definition of fflush, fread, getc, getc_unlocked on your system, then report this to bug-gnulib." ^~~~~ ----------------------->8------------------------ Signed-off-by: Alexey Brodkin <abrodkin@synopsys.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
Diffstat (limited to 'package/coreutils/coreutils.mk')
-rw-r--r--package/coreutils/coreutils.mk2
1 files changed, 1 insertions, 1 deletions
diff --git a/package/coreutils/coreutils.mk b/package/coreutils/coreutils.mk
index 7e7251ff73..3e8efbf047 100644
--- a/package/coreutils/coreutils.mk
+++ b/package/coreutils/coreutils.mk
@@ -4,7 +4,7 @@
#
################################################################################
-COREUTILS_VERSION = 8.27
+COREUTILS_VERSION = 8.30
COREUTILS_SITE = $(BR2_GNU_MIRROR)/coreutils
COREUTILS_SOURCE = coreutils-$(COREUTILS_VERSION).tar.xz
COREUTILS_LICENSE = GPL-3.0+